org.eclipse.cdt.utils.macho

## Class MachO.FVMFileCommand

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO.LoadCommand
  - - org.eclipse.cdt.utils.macho.MachO.FVMFileCommand

Enclosing class:
  MachO

    public class MachO.FVMFileCommand
    extends MachO.LoadCommand

### Field Summary

Fields
`int` `header_addr`
`String` `lc_str_name`
`int` `name`

### Fields inherited from class org.eclipse.cdt.utils.macho.MachO.LoadCommand

`cmd, cmdsize, LC_DYSYMTAB, LC_FVMFILE, LC_ID_DYLIB, LC_ID_DYLINKER, LC_IDENT, LC_IDFVMLIB, LC_LOAD_DYLIB, LC_LOAD_DYLINKER, LC_LOAD_WEAK_DYLIB, LC_LOADFVMLIB, LC_PREBIND_CKSUM, LC_PREBOUND_DYLIB, LC_PREPAGE, LC_REQ_DYLD, LC_ROUTINES, LC_SEGMENT, LC_SUB_CLIENT, LC_SUB_FRAMEWORK, LC_SUB_LIBRARY, LC_SUB_UMBRELLA, LC_SYMSEG, LC_SYMTAB, LC_THREAD, LC_TWOLEVEL_HINTS, LC_UNIXTHREAD`

### Constructor Summary

Constructors
Constructor and Description
`FVMFileCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public int name

#### header_addr

    public int header_addr

#### lc_str_name

    public String lc_str_name

### Constructor Detail

#### FVMFileCommand

    public FVMFileCommand()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`